Summary:	VNC server for the current X11 session
Name:		x11vnc
Version:	0.9.13
Release:	2
License:	GPLv2
Group:		User Interface/X
URL:		http://www.karlrunge.com/x11vnc/
Source0:	http://downloads.sourceforge.net/libvncserver/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

# IBM XL C/C++ V7 core dumps with internal compiler error
BuildRequires:	gcc >= 4.2.3-2

BuildRequires:	libjpeg-devel >= 9a-1
BuildRequires:	libvncserver-devel >= 0.9.9-1
BuildRequires:	openssl-devel >= 1.0.1s-1
BuildRequires:	zlib-devel >= 1.2.3-7
BuildRequires:	libXrandr-devel >= 1.4.2-1

Requires:	libjpeg >= 9a-1
Requires:	libvncserver >= 0.9.9-1
Requires:	libXrandr >= 1.4.2-1
Requires:	openssl >= 1.0.1s-1
Requires:	zlib >= 1.2.3-7

%description
What WinVNC is to Windows x11vnc is to X Window System, i.e. a server
which serves the current X Window System desktop via RFB (VNC)
protocol to the user.

Based on the ideas of x0rfbserver and on LibVNCServer it has evolved into a
versatile and productive while still easy to use program.


%package	javaviewers
Summary:	VNC clients (browser java applets)
Requires:	%{name} = %{version}-%{release}
License:	GPLv2+
Group:		User Interface/X

%description	javaviewers
The package contains the corresponding java clients for %{name}. They
can be used with any java-enabled browser and provide an easy access to
the server without the need to install software on the client machine.


%prep
%setup -q

# fix source perms
find . -name "*.c" -exec chmod 0644 {} \;
find . -name "*.h" -exec chmod 0644 {} \;


%build
export CC="gcc -maix32 -D_LARGE_FILES"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export LDFLAGS="-L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib:/usr/lib:/lib -Wl,-bmaxdata:0x80000000"

./configure \
    --prefix=%{_prefix} \
    --with-system-libvncserver \
    --without-tightvnc-filetransfer

make %{?_smp_mflags}


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}

/usr/bin/strip -X32_64 ${RPM_BUILD_ROOT}%{_bindir}/* || :

# Java viewers
cd classes/ssl
make install DESTDIR=${RPM_BUILD_ROOT}
cd ../..

# rename README file to avoid name bump
mv classes/ssl/src/tight/README classes/ssl/src/tight/README.tight
mv classes/ssl/src/ultra/README classes/ssl/src/ultra/README.ultra

rm -f ${RPM_BUILD_ROOT}%{_datadir}/%{name}/classes/ssl/README

cd ${RPM_BUILD_ROOT}
mkdir -p usr/bin
cd usr/bin
ln -sf ../..%{_bindir}/* .


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_datadir}/applications/*
/usr/bin/*


%files javaviewers
%defattr(-,root,system,-)
%doc classes/ssl/README classes/ssl/src/tight/README.tight classes/ssl/src/ultra/README.ultra
%{_datadir}/%{name}


%changelog
* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 0.9.13-2
- recompiled against latest versions

* Thu Feb 06 2014 Michael Perzl <michael@perzl.org> - 0.9.13-1
- first version for AIX V5.1 and higher
